## gtk+3.0 3.16.7

=== debian/changelog ===
gtk+3.0 (3.16.7-0ubuntu3.3) wily; urgency=medium

  * debian/patches/git_screenshot_hidpi.patch:
    - revert that change for now, it creates a regression

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Dec 2015 15:32:58 +0100

gtk+3.0 (3.16.7-0ubuntu3.2) wily; urgency=medium

  * debian/patches/git_non_uri_dnd_segfault.patch:
    - placessidebar: do not crash if uris is NULL, (lp: #1283426)
  * debian/patches/git_screenshot_hidpi.patch:
    - gdk_pixbuf_get_from_window: honor device scale, that fixes screenshots
      not looking right on hidpi screens, thanks Lars

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Nov 2015 15:10:07 +0100

gtk+3.0 (3.16.7-0ubuntu3.1) wily; urgency=medium

  * debian/patches/unity_rbga_tooltips.patch:
    - GtkTooltip: set always an rgba visual when running in Unity (LP: #1508357)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 30 Oct 2015 10:07:41 +0100

gtk+3.0 (3.16.7-0ubuntu3) wily; urgency=medium

  * debian/control: refresh from control.in
  * debian/patches/git_icon_fallback.patch:
    - correctly use fallback icons, fixes phone icons missing in the
      bluetooth sendto dialog
  * debian/patches/git_nameless_devices.patch:
    - scrolled window: Protect against nameless devices

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 16 Oct 2015 09:18:41 +0100

gtk+3.0 (3.16.7-0ubuntu2) wily; urgency=medium

  * Add debian/patches/calendar-always-emit-day-selected-once.patch:
    Fixes infintite loop between indicator-datetime and the panel (LP: #1480387)

 -- Lars Uebernickel <lars.uebernickel@ubuntu.com>  Tue, 06 Oct 2015 11:00:00 +0100

gtk+3.0 (3.16.7-0ubuntu1) wily; urgency=medium

  [ Lars Uebernickel ]
  * debian/patches/0001-GtkButtonBox-remove-spacing-when-buttons-are-linked.patch:
    backport from master (LP: #1470434)

  [ Iain Lane ]
  * New upstream release 3.16.7

 -- Lars Uebernickel <lars.uebernickel@ubuntu.com>  Tue, 22 Sep 2015 16:32:51 +0100

gtk+3.0 (3.16.6-1ubuntu1) wily; urgency=medium

  * Merge with Debian. Remaining changes:
    + Enable Mir backend.
    + Drop 022_disable-viqr-im-for-vi-locale.patch
    + Drop 061_multiarch_module_fallback.patch - unneeded in Ubuntu since we
      cleared all old gtk modules out.
    + Install the settings.ini file to set our themes.
    + Enable parallel builds
    + Ubuntu specific patches:
      - 073_treeview_almost_fixed.patch
      - 074_eventbox_scroll_mask.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
    + Add Breaks on gnome-shell << 3.16 - this needs to be updated at the same
      time.
    + Add Breaks on old overlay-scrollbar versions which still provided the gtk3
      module - we don't want to use this any more with GTK 3.16.
    + Update Mir backend from upstream git.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 24 Jul 2015 13:38:45 +0100

gtk+3.0 (3.16.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop obsolete Breaks from pre-wheezy.
  * Remove debian/libgtk-3-common.preinst.in, this file is a leftover from
    gtk+2.0 and not necessary anymore.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Jul 2015 21:29:11 +0200

gtk+3.0 (3.16.5-1ubuntu2) wily; urgency=medium

  * debian/control.in:
    - the previous upload stopped limited the architectures where the mir
      backend is built, drop the restriction from the dev depends as well
      (lp: #1475537)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Jul 2015 10:49:08 +0200

gtk+3.0 (3.16.5-1ubuntu1) wily; urgency=medium

  * Merge with Debian. Remaining changes:
    + Enable Mir backend.
    + Drop 022_disable-viqr-im-for-vi-locale.patch
    + Drop 061_multiarch_module_fallback.patch - unneeded in Ubuntu since we
      cleared all old gtk modules out.
    + Install the settings.ini file to set our themes.
    + Enable parallel builds
    + Ubuntu specific patches:
      - 073_treeview_almost_fixed.patch
      - 074_eventbox_scroll_mask.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
    + Add Breaks on gnome-shell << 3.16 - this needs to be updated at the same
      time.
    + Add Breaks on old overlay-scrollbar versions which still provided the gtk3
      module - we don't want to use this any more with GTK 3.16.
    + Update Mir backend from upstream git.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 08 Jul 2015 17:25:30 +0100

gtk+3.0 (3.16.5-1) unstable; urgency=medium

  * New upstream bugfix release 3.16.5

 -- Iain Lane <laney@debian.org>  Wed, 08 Jul 2015 16:20:40 +0100

gtk+3.0 (3.16.4-2ubuntu4) wily; urgency=medium

  * debian/patches/0001-Stable-mir-patches-from-git-master.patch: Update mir
    backend again.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 08 Jul 2015 10:01:28 +0100

gtk+3.0 (3.16.4-2ubuntu3) wily; urgency=medium

  * Remove arch restriction on the gdk_mir symbols since this is now available
    on all Ubuntu arches.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 30 Jun 2015 10:37:45 +0100

gtk+3.0 (3.16.4-2ubuntu2) wily; urgency=medium

  * debian/patches/0001-Stable-mir-patches-from-git-master.patch: Update mir
    backend from upstream, thanks Will Hua.
  * Enable mir backend everywhere, mir is built on all arches now.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 29 Jun 2015 18:05:02 +0100

gtk+3.0 (3.16.4-2ubuntu1) wily; urgency=low

  * Merge with Debian. Remaining changes:

