## gtk+3.0 3.18.9

=== debian/changelog ===
gtk+3.0 (3.18.9-1ubuntu3) xenial; urgency=medium

  * Merge branch from Marco Trevisan to hide buttons in headerbar apps when
    they are maximised under Unity, and to fix the gradient to look good.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 24 Mar 2016 14:41:52 +0000

gtk+3.0 (3.18.9-1ubuntu2) xenial; urgency=medium

  * debian/patches/unity-border-radius.patch:
    - Export windows corners radius as an X11 property in unity (LP: #1516403)
  * debian/patches/unity_rbga_tooltips.patch:
    - Removed as it's now included in the border-radius patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Mar 2016 18:40:42 +0100

gtk+3.0 (3.18.9-1ubuntu1) xenial; urgency=low

  * Merge with Debian. Remaining changes:
    + Install the settings.ini file to set our themes.
    + Enable parallel builds
    + Ubuntu specific patches:
      - 073_treeview_almost_fixed.patch
      - 074_eventbox_scroll_mask.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind
      - 0001-calendar-always-emit-day-selected-once.patch
      - git_icon_fallback.patch
      - unity_rgba_tooltips.patch
      - git-refresh-mir-backend.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - ubuntu_fileselector_behaviour
      - git-x11-don-t-apply-scaling-factor-twice.patch
    + Add Breaks on gnome-shell << 3.16 - this needs to be updated at the same
      time.
    + Add Breaks on old overlay-scrollbar versions which still provided the gtk3
      module - we don't want to use this any more with GTK 3.16.
    + Install a gsettings override to start filechoosers in the cwd
  * Should fix missing focus event bug affecting gnome-terminal (LP: #890784)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 14 Mar 2016 12:44:20 +0000

gtk+3.0 (3.18.9-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream release.
  * Bump Standards-Version to 3.9.7.

  [ Uwe Kleine-König ]
  * Remove debian/{build,install} in clean target. (Closes: #792736)

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Mar 2016 21:29:26 +0100

gtk+3.0 (3.18.8-1ubuntu2) xenial; urgency=medium

  * debian/patches/message-dialog-restore-traditional-look-on-unity.patch:
  * debian/patches/unity_rbga_tooltips.patch:
    - Correctly handle XDG_CURRENT_DESKTOP (LP: #1554878)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 10 Mar 2016 13:49:54 +1300

gtk+3.0 (3.18.8-1ubuntu1) xenial; urgency=medium

  * Merge with Debian. Remaining changes:
    + Install the settings.ini file to set our themes.
    + Enable parallel builds
    + Ubuntu specific patches:
      - 073_treeview_almost_fixed.patch
      - 074_eventbox_scroll_mask.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind
      - 0001-calendar-always-emit-day-selected-once.patch
      - git_icon_fallback.patch
      - unity_rgba_tooltips.patch
      - git-refresh-mir-backend.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - ubuntu_fileselector_behaviour
      - git-x11-don-t-apply-scaling-factor-twice.patch
    + Add Breaks on gnome-shell << 3.16 - this needs to be updated at the same
      time.
    + Add Breaks on old overlay-scrollbar versions which still provided the gtk3
      module - we don't want to use this any more with GTK 3.16.
    + Install a gsettings override to start filechoosers in the cwd
  * Drop dep on libnettle-dev, no longer needed with current Mir.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 25 Feb 2016 10:58:26 +0000

gtk+3.0 (3.18.8-1) unstable; urgency=medium

  * New upstream stable release 3.18.8

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 24 Feb 2016 17:55:46 +0000

gtk+3.0 (3.18.8-0ubuntu1) xenial; urgency=medium

  * New upstream version
  * debian/patches/git_xrandr15_output.patch,
    debian/patches/git_assistant_margins.patch:
    - included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Feb 2016 23:47:34 +0100

gtk+3.0 (3.18.7-1ubuntu3) xenial; urgency=medium

  * debian/patches/git_assistant_margins.patch:
    set gtkassistants margings to prevent the buttons from touching the edge
    (lp: #1547423)
  * debian/patches/git_xrandr15_output.patch:
    - X11, GdkScreen: properly implement init_randr15 including output name
      thanks Marco Trevisan (lp: #1547510)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Feb 2016 09:52:32 +0100

gtk+3.0 (3.18.7-1ubuntu2) xenial; urgency=medium

  * debian/patches/git-x11-don-t-apply-scaling-factor-twice.patch:
    + Take upstream patch to fix calculation of monitor work area when
      a non-unity scale factor is used (LP: #1434094)

 -- William Hua <william.hua@canonical.com>  Thu, 04 Feb 2016 19:01:17 +0100

gtk+3.0 (3.18.7-1ubuntu1) xenial; urgency=medium

  * New upstream version merged from Debian
  * debian/patches/ubuntu_fileselector_behaviour.patch:
    revert "single click to browser selected items" behaviour which was 
    introduced in 3.18, it's confusing to users and was added without
    rational. The issue has been reported upstream but didn't get traction
    (lp: #1519778)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Feb 2016 17:08:06 +0100

gtk+3.0 (3.18.7-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Feb 2016 19:12:28 +0100


