=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
                gsettings-desktop-schemas,
                adwaita-icon-theme,
                at-spi2-core,
-               libglib2.0-dev (>= 2.43.4),
+               libglib2.0-dev (>= 2.45.8),
                libgdk-pixbuf2.0-dev (>= 2.30.0),
-               libpango1.0-dev (>= 1.36.7),
+               libpango1.0-dev (>= 1.37.3),
                libatk1.0-dev (>= 2.15.1),
                libatk-bridge2.0-dev,
                libegl1-mesa-dev [linux-any],
@@ -49,16 +49,18 @@
                libgirepository1.0-dev (>= 1.39.0),
                xvfb,
                libmirclient-dev (>= 0.13.3),
+               libmircookie-dev (>= 0.17.0)
 Build-Depends-Indep: docbook-xml,
                      docbook-utils,
                      libglib2.0-doc,
                      libatk1.0-doc,
                      libpango1.0-doc,
                      libcairo2-doc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntugtk3
+XS-Debian-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gtk+3.0/
+XS-Debian-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtk+3.0/
 Homepage: http://www.gtk.org/
-XS-Testsuite: autopkgtest
 
 Package: libgtk-3-0
 Architecture: any
@@ -68,11 +70,11 @@
          ${shlibs:Depends},
          shared-mime-info
 Provides: gtk3-binver-3.0.0
-Recommends: hicolor-icon-theme,
-            libgtk-3-bin
+Recommends: libgtk-3-bin
 Suggests: librsvg2-common,
           gvfs
 Breaks: gnome-themes-standard (<< 3.6),
+        gtk3-engines-oxygen (<< 1.4.1-3),
         gnome-shell (<< 3.16),
         overlay-scrollbar (<< 0.2.17)
 Pre-Depends: ${misc:Pre-Depends}
@@ -107,7 +109,8 @@
 Section: misc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, adwaita-icon-theme (>= ${gnome:Version})
+Depends: ${misc:Depends},
+         adwaita-icon-theme (>= ${gnome:Version})
 Recommends: libgtk-3-0
 Breaks: libgtk-3-0 (<< 3.5.4)
 Replaces: libgtk-3-0 (<< 3.5.4)
@@ -146,7 +149,7 @@
          ${shlibs:Depends},
          libglib2.0-dev (>= 2.43.4),
          libgdk-pixbuf2.0-dev (>= 2.30.0),
-         libpango1.0-dev (>= 1.36.7),
+         libpango1.0-dev (>= 1.37.3),
          libatk1.0-dev (>= 2.15.1),
          libatk-bridge2.0-dev,
          libcairo2-dev (>= 1.14.0),
@@ -165,6 +168,9 @@
          libwayland-dev (>= 1.5.91) [linux-any],
          libxkbcommon-dev,
          libmirclient-dev (>= 0.13.3),
+         libmircookie-dev (>= 0.17.0),
+# workaround for broken libmircookie-dev deps, drop asap
+         nettle-dev,
 Suggests: libgtk-3-doc
 Description: development files for the GTK+ library
  GTK+ is a multi-platform toolkit for creating graphical user
@@ -236,6 +242,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends}
+Breaks: python-gi (<< 3.18),
+        python3-gi (<< 3.18),
 Description: GTK+ graphical user interface library -- gir bindings
  GTK+ is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK+ is suitable
@@ -284,7 +292,8 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, libgail-3-0 (= ${binary:Version})
+Depends: ${misc:Depends},
+         libgail-3-0 (= ${binary:Version})
 Recommends: libgtk-3-0-dbg
 Description: Gail libraries and debugging symbols
  Gail is the "GNOME Accessibility Implementation Library".
